/*--------------------------------------------------------------
#0.1    Theme Reset Style
--------------------------------------------------------------*/
::-webkit-scrollbar {
  display: none;
  background: $white;
  width: 0.5em;
}

::-webkit-scrollbar-thumb {
  border-radius: 0;
  background: $black;
}

::-webkit-scrollbar-track {
  background: $white;
  z-index: -2;
}

html,
body {
  width: 100%;
  min-width: 100%;
}

html {
  overflow: hidden!important;
  font-size: $base-font-size + px!important;
}

body {
  font-size: 14px;
  font-size: calc-rem-value(14);
  -webkit-font-smoothing: antialiased;
}

p,
.p {
  @include default-text;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: $heading-color;
}

.h1,
.h2,
.h3,
h1,
h2,
h3 {
  margin-top: 20px;
  margin-bottom: 10px;
}

h2,
.h2 {
  @include headText;
}

h3,
.h3 {
  color: $black-2;
  font-size: 20px;
  font-size: calc-rem-value(20);
  font-weight: 600;
  line-height: 3;
}

h4,
.h4 {
  color: $black-2;
  font-size: 30px;
  font-size: calc-rem-value(30);
  font-weight: 700;
  line-height: 2;
}

body .v-application ul, body .v-application ol {
  list-style-type: none;
  padding-left: 0;
  margin: 0;
}

button {
  appearance: none;
  box-shadow: none;
  outline: none;
  background-color: $primary;
  border: none;
  font-size: 40px;
  color: $white;
  font-weight: 400;

  i {
    font-weight: 400;
  }
}

a {
  text-decoration: none;
  @include transition-time(0.2s);
}

a:hover,
a:focus,
a:active,
a:visited {
  color: darken($white, 20%);
  text-decoration: none;
}

img {
  max-width: 100%;
}

button,
a:focus {
  outline: none;
}

.text-left {
  text-align: left;
  justify-content: flex-start;
}

.text-right {
  text-align: right;
  justify-content: flex-end;
}

.container {
  padding: 0!important;
  padding-left: 15px!important;
  padding-right: 15px!important;
  @include min-screen($tablets) {
    max-width: 980px!important;
  }
}

.row {
  margin-right: -15px!important;
  margin-left: -15px!important;
}

.col, [class*='col-'] {
  padding: 0!important;
  padding-left: 15px!important;
  padding-right: 15px!important;
}
/*--------------------------------------------------------------
#0.2    Global Elements
--------------------------------------------------------------*/
body {
  &.-disable-scroll- {
    overflow-y: hidden;

    .sectionBlock {
      &:before {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 1;
      }

      &.sectionBlock--home {
        .hero *,
        .signup *,
        .header {
          display: none !important;
        }
      }
    }
  }

  .-able-scroll- {
    overflow-y: auto;
    // this class has used in JS
  }

  &.touch {
    cursor: pointer;
  }
}

.sectionBlock {
  background-image: linear-gradient(#030303, #323232);
  background-size: cover;
  background-position: center;
  height: 100vh;

  &:not(.sectionBlock--home):before {
    content: "";
    // width: 100%;
    // height: 100%;
    // position: absolute;
    // background-image: url(~@/assets/images/KK-icon-white.png);
    // background-repeat: no-repeat;
    // background-position: bottom right;
  }

  &--home {
    background-image: url(~@/assets/images/KK-bgr.jpg);
  }
}

.logo {
  background-color: transparent;
  height: auto;

  &__inner {
    padding: 25px 0;
  }

  &__image {
    max-height: 50px;
  }
}

.row.flex-end {
  align-items: flex-end;
  display: flex;
}

.owl-carousel {
  z-index: 0;
}

/** for popup image ***/
.-content- {
  flex-grow: 1;
}

img {
  max-width: 100%;
}

*:focus {
  outline: none;
}

input,
textarea {
  -webkit-appearance: none;
  border-radius: 0;
}
